Subject: bug#19972: 24.4; Font size change doesn't update (window-total-width)

From: Joost Kremers <[email-masked]>
Date: Sun, 01 Mar 2015 21:43:35 +0100

On Sun, Mar 01 2015, Eli Zaretskii <[email-masked]> wrote:
>> Sorry, my mistake. I should have added that I maximised the frame first.
>
> FWIW, I don't see a different value after evaluating the
> face-spec-recalc form, even if I start with a maximized frame.  What I
> see is a frame whose part is invisible because it is beyond the screen
> edges.  Which is what I'd expect.

On my system (Elementary OS, which is based on Ubuntu, but uses a
different graphical environment), the frame doesn't change its size.
Since the font size changes, there are fewer characters on a line,
which, AFAIU, should be reflected in the value returned by
`window-total-width'. 

-- 
Joost Kremers
Life has its moments